<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package bike_workshop
 */

function bike_workshop_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'bike_workshop_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1360,
		'height'                 => 110,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'bike_workshop_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'bike_workshop_custom_header_setup' );

if ( ! function_exists( 'bike_workshop_header_style' ) ) :

	add_action( 'wp_enqueue_scripts', 'bike_workshop_header_style' );
	function bike_workshop_header_style() {
		if ( get_header_image() ) :
		$bike_workshop_custom_css = "
			.header-main-wrapper,.home .bottom-header-outer-wrapper{
				background-image:url('".esc_url(get_header_image())."') !important;
				background-size: 100%;
				background-position: center top;
			}";
			   wp_add_inline_style( 'bike-workshop-style', $bike_workshop_custom_css );
		endif;
	}
endif;